% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fct_analyses.R
\name{estimate_hr}
\alias{estimate_hr}
\title{Estimate home range}
\usage{
estimate_hr(rv)
}
\arguments{
\item{rv}{A reactive values list containing:
\itemize{
\item \code{simList} - A list of simulated movement datasets.
\item \code{simfitList} - A list of fitted movement models corresponding to \code{simList}.
}}
}
\value{
A named list of \code{ctmm} objects, one per simulation.
}
\description{
Estimates home range areas with the Autocorrelated Kernel Density Estimator (AKDE)
for each simulated movement dataset using the fitted movement models.
}
\details{
The function applies \code{ctmm::akde()} to estimate home range areas while handling
potential warnings and errors gracefully. Any failed computations return \code{NULL}.
}
