% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fct_analyses.R
\name{estimate_speed}
\alias{estimate_speed}
\title{Estimate movement speed}
\usage{
estimate_speed(rv)
}
\arguments{
\item{rv}{A reactive values list containing:
\itemize{
\item \code{simList} - A list of simulated movement datasets.
\item \code{simfitList} - A list of fitted movement models corresponding to \code{simList}.
}}
}
\value{
A named list of \code{ctmm} objects, one per simulation.
}
\description{
Estimates movement speed using continuous-time speed and distance (CTSD)
for each simulated movement dataset using the corresponding fitted movement model.
}
\details{
The function applies \code{ctmm::speed()} to estimate movement speed while handling
potential warnings and errors gracefully.
}
